#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint ble_provider.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'ble_provider'
  s.version          = '0.0.5'
  s.summary          = 'This package provides access to Polestar indoor location provider.'
  s.description      = <<-DESC
This package provides Flutter access to Polestar indoor location provider.
                       DESC
  s.homepage         = 'https://github.com/IndoorLocation'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'remy.raes@inria.fr' }
  s.source           = { :http => 'https://github.com/IndoorLocation' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'IndoorLocation'
  s.dependency 'NAOSDK', '~> 4.11'
  s.static_framework = true
  s.platform = :ios, '12.0'

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
  s.swift_version = '5.0'
end
